com.virtual.tour.road.com.virtual.tour.road.com.virtual.tour.road.controller

## Class Controlador

- java.lang.Object
- - com.virtual.tour.road.com.virtual.tour.road.com.virtual.tour.road.controller.Controlador

-     public class Controlador
      extends java.lang.Object

  Created by Carolina Bonnin on 01/06/2015. Clase para relacionar vista con modelo en el patrón Modelo Vista Controlador.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.content.Context` | `context`
    `private MySQLiteHelper` | `db`
    `private GestorPreIniReproductorMusica` | `gestorPreIniReproductorMusica`
    `private java.util.ArrayList<Song>` | `listadoCanciones`
    `private java.util.List<Ruta>` | `listadoRutas`
    `private SoporteSelectRoute` | `soporte`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Controlador(android.content.Context c)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GestorPreIniReproductorMusica` | `crearGestor()`
    `void` | `crearSoporteRuta()`
    `java.lang.String` | `generarURL(double sourcelat, double sourcelog, double destlat, double destlog, java.lang.String mode, java.lang.String lang)`
    `void` | `initListadoCanciones()`
    `void` | `initListadoRutas()`
    `MySQLiteHelper` | `obtainDBConnection()` ACCESO A BASE DE DATOS
    `Usuario` | `obtainUser()` REFERENTE A ACTIVITY LOGIN
    `java.util.List<Song>` | `obtenerCancionesDB()`
    `java.util.List<com.google.android.gms.maps.model.LatLng>` | `obtenerDecodePoly(java.lang.String encoded)`
    `InformacionMusica` | `obtenerInstanciaMusica()` REFERENTE A ACTIVITY DE MUSICA
    `InformacionRuta` | `obtenerInstanciaRuta()` REFERENTE ACTIVITY MAPA + RECUPERACION DE RUTAS
    `InformacionUsuario` | `obtenerInstanciaUsuario()`
    `java.util.ArrayList<Song>` | `obtenerListadoCanciones()`
    `java.util.List<Ruta>` | `obtenerListadoRutas()`
    `java.util.List<com.google.android.gms.maps.model.LatLng>` | `obtenerPuntosRuta(com.google.android.gms.maps.model.LatLng start, com.google.android.gms.maps.model.LatLng end, float distance)`
    `java.util.List<Ruta>` | `obtenerRutasDB()`
    `java.util.List<Usuario>` | `obtenerUsuariosDB()`
    `void` | `stopTimerReproductor()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          private android.content.Context context

    - #### db

          private MySQLiteHelper db

    - #### gestorPreIniReproductorMusica

          private GestorPreIniReproductorMusica gestorPreIniReproductorMusica

    - #### listadoCanciones

          private java.util.ArrayList<Song> listadoCanciones

    - #### listadoRutas

          private java.util.List<Ruta> listadoRutas

    - #### soporte

          private SoporteSelectRoute soporte

  - ### Constructor Detail

    - #### Controlador

          public Controlador(android.content.Context c)

  - ### Method Detail

    - #### crearGestor

          public GestorPreIniReproductorMusica crearGestor()

    - #### crearSoporteRuta

          public void crearSoporteRuta()

    - #### generarURL

          public java.lang.String generarURL(double sourcelat,
                                             double sourcelog,
                                             double destlat,
                                             double destlog,
                                             java.lang.String mode,
                                             java.lang.String lang)

    - #### initListadoCanciones

          public void initListadoCanciones()

    - #### initListadoRutas

          public void initListadoRutas()

    - #### obtainDBConnection

          public MySQLiteHelper obtainDBConnection()

      ACCESO A BASE DE DATOS

    - #### obtainUser

          public Usuario obtainUser()

      REFERENTE A ACTIVITY LOGIN

    - #### obtenerCancionesDB

          public java.util.List<Song> obtenerCancionesDB()

    - #### obtenerDecodePoly

          public java.util.List<com.google.android.gms.maps.model.LatLng> obtenerDecodePoly(java.lang.String encoded)

    - #### obtenerInstanciaMusica

          public InformacionMusica obtenerInstanciaMusica()

      REFERENTE A ACTIVITY DE MUSICA

    - #### obtenerInstanciaRuta

          public InformacionRuta obtenerInstanciaRuta()

      REFERENTE ACTIVITY MAPA + RECUPERACION DE RUTAS

    - #### obtenerInstanciaUsuario

          public InformacionUsuario obtenerInstanciaUsuario()

    - #### obtenerListadoCanciones

          public java.util.ArrayList<Song> obtenerListadoCanciones()

    - #### obtenerListadoRutas

          public java.util.List<Ruta> obtenerListadoRutas()

    - #### obtenerPuntosRuta

          public java.util.List<com.google.android.gms.maps.model.LatLng> obtenerPuntosRuta(com.google.android.gms.maps.model.LatLng start,
                                                                                            com.google.android.gms.maps.model.LatLng end,
                                                                                            float distance)

    - #### obtenerRutasDB

          public java.util.List<Ruta> obtenerRutasDB()

    - #### obtenerUsuariosDB

          public java.util.List<Usuario> obtenerUsuariosDB()

    - #### stopTimerReproductor

          public void stopTimerReproductor()